For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • GETConvert Country State
              • GETGet Company Addresses
              • POSTCreate A Company Address
              • GETGet A Company Address
              • PUTUpdate A Company Address
              • DELDelete A Company Address
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APIAddress

Delete A Company Address

Deprecated
DELETE
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/addresses/:addressId
DELETE
/api/v2/io/companies/:companyId/addresses/:addressId
$curl -X DELETE https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/addresses/addressId \
> -H "authToken: <apiKey>"
1{
2 "code": 200,
3 "data": {
4 "addressId": "2"
5 },
6 "message": "Success"
7}
Deletes an address from a company.
Was this page helpful?
Previous

Update A Company Address

Next

Create Company From CG

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

addressIdstringRequired
companyIdstringRequired

Headers

authTokenstringRequired
Auth token in header

Response

Deleted successful
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

404
Not Found Error